# -*- coding: utf-8 -*-

"""Test HTTP basic auth method.

:copyright: (c) 2016 by Detlef Kreuz
:license: Apache 2.0, see LICENSE
"""

from django.test import TestCase

from django_auth_http_basic import HttpBasicAuthBackend


class TestBackend(TestCase):
    def setUp(self):
        self.backend = HttpBasicAuthBackend()


class TestPwChecker(TestBackend):
    """Test the checkpw_pasic_auth method."""

    def test_none(self):
        """A None URL results in successful checks."""
        for username in (None, '', 'a', 'admin', 'zombie'):
            for password in (None, '', '1', '12345', '*'):
                self.assertTrue(
                    self.backend.checkpw_basic_auth(None, username, password),
                    "%s / %s" % (username, password))
